Failed build process Qt 5.8 MinGW54 from MS Windows 7 x64



  • Hello! I try build Qt 5.8 from MinGW64 x86_64-posix-seh

    gcc version 6.2.0 (x86_64-posix-seh-rev1, Built by MinGW-W64 project)
    

    Qt was configured with:

    configure -static -debug-and-release -platform win32-g++ -developer-build -c++std c++11 -prefix " e:\Qt\5.8\x86_64_w64_minigw32_posix_6.3.0_static" \
    -opensource -confirm-license -icu -nomake examples -nomake tests -make tools -qml-debug -opengl desktop -system-proxies -make libs -qt-pcre -qt-libpng  -qt-libjpeg -qt-zlib \
    -qt-freetype -qt-sql-sqlite -qt-sql-odbc -qt-sql-mysql -openssl -openssl-linked OPENSSL_LIBS="-luser32 -ladvapi32" OPENSSL_LIBS_RELEASE="-llibcrypto \
    -llibssl" OPENSSL_LIBS_DEBUG="-llibcryptod -llibssld" -l libmysql -I "c:\Lib\include\mysql" -I "d:\Qt\Tools\MinGW\mingw64-x86_64-6.2.0-release-posix-seh-rt_v5-rev1\include" \
    -I "d:\Qt\Tools\MinGW\mingw64-x86_64-6.2.0-release-posix-seh-rt_v5-rev1\x86_64-w64-mingw32\include" -I "d:\Qt\Tools\MinGW\mingw64-x86_64-6.3.0-release-posix-seh-rt_v5-rev1\opt\include" \
    -I "c:\usr\openssl-x64-mingw64\include" -I "c:\usr\openssl-x64-mingw64\include\openssl" -I "d:\opensource\icu\icu_static_release\include" -L "d:\Qt\Tools\MinGW\mingw64-x86_64-6.3.0-release-posix-seh-rt_v5-rev1\lib" \
    -L "d:\Qt\Tools\MinGW\mingw64-x86_64-6.3.0-release-posix-seh-rt_v5-rev1\x86_64-w64-mingw32\lib" -L "d:\Qt\Tools\MinGW\mingw64-x86_64-6.2.0-release-posix-seh-rt_v5-rev1\opt\lib" \
    -L "c:\usr\openssl-x64-mingw64\lib" -L "d:\opensource\icu\icu_static_release\lib" -L "c:\Lib\lib64_VS2015\MySQL"
    

    But make process was failed with:

    gcc -c -pipe -fno-keep-inline-dllexport -O2 -w -DUNICODE -DPCRE_STATIC -DHAVE_CONFIG_H -DQT_NO_DYNAMIC_CAST -DQT_NO_EXCEPT
    IONS -I. -I. -Ic:/Lib/include/mysql -Id:/Qt/Tools/MinGW/mingw64-x86_64-6.2.0-release-posix-seh-rt_v5-rev1/include -Id:/Qt/
    Tools/MinGW/mingw64-x86_64-6.2.0-release-posix-seh-rt_v5-rev1/x86_64-w64-mingw32/include -Id:/Qt/Tools/MinGW/mingw64-x86_6
    4-6.3.0-release-posix-seh-rt_v5-rev1/opt/include -Ic:/usr/openssl-x64-mingw64/include -Ic:/usr/openssl-x64-mingw64/include
    /openssl -Id:/opensource/icu/icu_static_release/include -I../../../mkspecs/win32-g++  -o .obj/release/pcre16_xclass.o pcre
    16_xclass.c
    In file included from ../../../include/QtCore/qdebug.h:1:0,
                     from ../../corelib/global/qlogging.cpp:47:
    ../../../include/QtCore/../../src/corelib/io/qdebug.h: In member function 'void QDebug::Stream::setVerbosity(int)':
    ../../../include/QtCore/../../src/corelib/io/qdebug.h:99:42: error: result of '(7 << 29)' requires 33 bits to represent, b
    ut 'int' only has 32 bits [-Werror=shift-overflow=]
                     flags &= ~(VerbosityMask << VerbosityShift);
                                ~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~
    cc1plus.exe: all warnings being treated as errors
    Makefile.Release:1519: recipe for target '.obj/release/qlogging.o' failed
    mingw32-make[4]: *** [.obj/release/qlogging.o] Error 1
    mingw32-make[4]: Leaving directory 'D:/Qt/Build/Src_mingw_posix_static/qtbase/src/tools/bootstrap'
    Makefile:34: recipe for target 'release' failed
    mingw32-make[3]: *** [release] Error 2
    mingw32-make[3]: Leaving directory 'D:/Qt/Build/Src_mingw_posix_static/qtbase/src/tools/bootstrap'
    Makefile:91: recipe for target 'sub-bootstrap-make_first' failed
    mingw32-make[2]: *** [sub-bootstrap-make_first] Error 2
    mingw32-make[2]: *** Waiting for unfinished jobs....
    ar -M < object_script.libqtpcre.Release
    mingw32-make[4]: Leaving directory 'D:/Qt/Build/Src_mingw_posix_static/qtbase/src/3rdparty/pcre'
    mingw32-make[3]: Leaving directory 'D:/Qt/Build/Src_mingw_posix_static/qtbase/src/3rdparty/pcre'
    mingw32-make[2]: Leaving directory 'D:/Qt/Build/Src_mingw_posix_static/qtbase/src'
    Makefile:42: recipe for target 'sub-src-make_first' failed
    mingw32-make[1]: *** [sub-src-make_first] Error 2
    mingw32-make[1]: Leaving directory 'D:/Qt/Build/Src_mingw_posix_static/qtbase'
    Makefile:75: recipe for target 'module-qtbase-make_first' failed
    mingw32-make: *** [module-qtbase-make_first] Error 2
    

    How i can fix it?


  • Moderators

    @Yamah I would file a bug for that.





  • With MinGW64 6.3 I have some error
    I build from MS Windows 10 x64 with clean install

    g++ -c -pipe -fno-keep-inline-dllexport -ffunction-sections -O2 -std=gnu++11 -fno-exceptions -frtti -Wall -Wextra -Wvla -Wdate-time -Wshift-overflow=2 -Wduplicated-cond -Werror -Wno-error=cpp -Wno-error=deprecated-declarations -Wno-error=strict-overflow -DUNICODE -DQT_STATIC_BUILD -DQT_VERSION_STR="\"5.8.0\"" -DQT_VERSION_MAJOR=5 -DQT_VERSION_MINOR=8 -DQT_VERSION_PATCH=0 -DQT_BOOTSTRAPPED -DQT_NO_CAST_TO_ASCII -DQT_NO_FOREACH -DQT_NO_CAST_FROM_ASCII -DQT_BUILD_BOOTSTRAP_LIB -DQT_BUILDING_QT -D_CRT_SECURE_NO_WARNINGS -D_USE_MATH_DEFINES -DQT_ASCII_CAST_WARNINGS -DQT_MOC_COMPAT -DQT_USE_QSTRINGBUILDER -DQT_DEPRECATED_WARNINGS -DQT_DISABLE_DEPRECATED_BEFORE=0x040800 -DQT_NO_EXCEPTIONS -DQT_NO_DEBUG -I. -I..\..\3rdparty\zlib -I..\..\..\include -I..\..\..\include\QtCore -I..\..\..\include\QtCore\5.8.0 -I..\..\..\include\QtCore\5.8.0\QtCore -I..\..\..\include\QtXml -I..\..\..\include\QtXml\5.8.0 -I..\..\..\include\QtXml\5.8.0\QtXml -Itmp -Ic:\Lib\include\mysql -IC:\mingw64-x86_64-6.2.0-release-posix-seh-rt_v5-rev1\include -IC:\mingw64-x86_64-6.2.0-release-posix-seh-rt_v5-rev1\x86_64-w64-mingw32\include -Id:\Qt\Tools\MinGW\mingw64-x86_64-6.3.0-release-posix-seh-rt_v5-rev1\opt\include -IC:\OpenSource\openssl-dist-1.0.2j-mingw_w64_posix\openssl-x64-static-release-mingw64\include -IC:\OpenSource\openssl-dist-1.0.2j-mingw_w64_posix\openssl-x64-static-release-mingw64\include\openssl -IC:\OpenSource\icu\icu_static_release\include -I..\..\..\mkspecs\win32-g++  -o .obj\release\qlogging.o ..\..\corelib\global\qlogging.cpp
    In file included from C:/Build/Qt/qtbase/src/corelib/tools/qlocale_tools_p.h:54:0,
                     from ..\..\..\include\QtCore\5.8.0\QtCore/private/qlocale_tools_p.h:1,
                     from ..\..\corelib\global\qglobal.cpp:48:
    C:/Build/Qt/qtbase/src/corelib/tools/qlocale_p.h:427:28: error: result of '(1 << 31)' requires 33 bits to represent, but 'int' only has 32 bits [-Werror=shift-overflow=]
     enum { AsciiSpaceMask = (1 << (' ' - 1)) |
                              ~~^~~~~~~~~~~~
    In file included from ..\..\..\include\QtCore/qdebug.h:1:0,
                     from ..\..\corelib\global\qlogging.cpp:47:
    C:/Build/Qt/qtbase/src/corelib/io/qdebug.h: In member function 'void QDebug::Stream::setVerbosity(int)':
    C:/Build/Qt/qtbase/src/corelib/io/qdebug.h:99:42: error: result of '(7 << 29)' requires 33 bits to represent, but 'int' only has 32 bits [-Werror=shift-overflow=]
                     flags &= ~(VerbosityMask << VerbosityShift);
                                ~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~
    cc1plus.exe: all warnings being treated as errors
    Makefile.Release:887: recipe for target '.obj/release/qglobal.o' failed
    mingw32-make[4]: *** [.obj/release/qglobal.o] Error 1
    mingw32-make[4]: *** Waiting for unfinished jobs....
    cc1plus.exe: all warnings being treated as errors
    Makefile.Release:1045: recipe for target '.obj/release/qlogging.o' failed
    mingw32-make[4]: *** [.obj/release/qlogging.o] Error 1
    mingw32-make[4]: Leaving directory 'C:/Build/Qt/qtbase/src/tools/bootstrap'
    Makefile:34: recipe for target 'release' failed
    mingw32-make[3]: *** [release] Error 2
    mingw32-make[3]: Leaving directory 'C:/Build/Qt/qtbase/src/tools/bootstrap'
    Makefile:91: recipe for target 'sub-bootstrap-make_first' failed
    mingw32-make[2]: *** [sub-bootstrap-make_first] Error 2
    mingw32-make[2]: Leaving directory 'C:/Build/Qt/qtbase/src'
    Makefile:42: recipe for target 'sub-src-make_first' failed
    mingw32-make[1]: *** [sub-src-make_first] Error 2
    mingw32-make[1]: Leaving directory 'C:/Build/Qt/qtbase'
    Makefile:75: recipe for target 'module-qtbase-make_first' failed
    mingw32-make: *** [module-qtbase-make_first] Error 2
    
    C:\Build\Qt>gcc -v
    Using built-in specs.
    COLLECT_GCC=gcc
    COLLECT_LTO_WRAPPER=C:/mingw64-x86_64-6.3.0-release-posix-seh-rt_v5-rev1/bin/../libexec/gcc/x86_64-w64-mingw32/6.3.0/lto-wrapper.exe
    Target: x86_64-w64-mingw32
    Configured with: ../../../src/gcc-6.3.0/configure --host=x86_64-w64-mingw32 --build=x86_64-w64-mingw32 --target=x86_64-w64-mingw32 --prefix=/mingw64 --with-sysroot=/c/mingw630/x86_64-630-posix-seh-rt_v5-rev1/mingw64 --enable-shared --enable-static --disable-multilib --enable-languages=c,c++,fortran,lto --enable-libstdcxx-debug --enable-libstdcxx-time=yes --enable-threads=posix --enable-libgomp --enable-libatomic --enable-lto --enable-graphite --enable-checking=release --enable-fully-dynamic-string --enable-version-specific-runtime-libs --enable-libstdcxx-filesystem-ts=yes --disable-libstdcxx-pch --disable-libstdcxx-debug --enable-bootstrap --disable-rpath --disable-win32-registry --disable-nls --disable-werror --disable-symvers --with-gnu-as --with-gnu-ld --with-arch=nocona --with-tune=core2 --with-libiconv --with-system-zlib --with-gmp=/c/mingw630/prerequisites/x86_64-w64-mingw32-static --with-mpfr=/c/mingw630/prerequisites/x86_64-w64-mingw32-static --with-mpc=/c/mingw630/prerequisites/x86_64-w64-mingw32-static --with-isl=/c/mingw630/prerequisites/x86_64-w64-mingw32-static --with-pkgversion='x86_64-posix-seh-rev1, Built by MinGW-W64 project' --with-bugurl=http://sourceforge.net/projects/mingw-w64 CFLAGS='-O2 -pipe -fno-ident -I/c/mingw630/x86_64-630-posix-seh-rt_v5-rev1/mingw64/opt/include -I/c/mingw630/prerequisites/x86_64-zlib-static/include -I/c/mingw630/prerequisites/x86_64-w64-mingw32-static/include' CXXFLAGS='-O2 -pipe -fno-ident -I/c/mingw630/x86_64-630-posix-seh-rt_v5-rev1/mingw64/opt/include -I/c/mingw630/prerequisites/x86_64-zlib-static/include -I/c/mingw630/prerequisites/x86_64-w64-mingw32-static/include' CPPFLAGS=' -I/c/mingw630/x86_64-630-posix-seh-rt_v5-rev1/mingw64/opt/include -I/c/mingw630/prerequisites/x86_64-zlib-static/include -I/c/mingw630/prerequisites/x86_64-w64-mingw32-static/include' LDFLAGS='-pipe -fno-ident -L/c/mingw630/x86_64-630-posix-seh-rt_v5-rev1/mingw64/opt/lib -L/c/mingw630/prerequisites/x86_64-zlib-static/lib -L/c/mingw630/prerequisites/x86_64-w64-mingw32-static/lib '
    Thread model: posix
    gcc version 6.3.0 (x86_64-posix-seh-rev1, Built by MinGW-W64 project) 
    

    What it is need for normal build?


  • Moderators

    @Yamah Are you sure you're using g++ 6.3? In your bug report it is noted that it is working with 6.3.



  • @jsulm said in Failed build process Qt 5.8 MinGW54 from MS Windows 7 x64:

    @Yamah Are you sure you're using g++ 6.3? In your bug report it is noted that it is working with 6.3.

    Yes, of course.
    The compiler says that it is version 6.3.0. The output gcc -v message I gave in the previous message.

    Screenshot PATH


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.